Bug 500605 - Pressing "defaults" in KDM config tool changes the excluded-user list
Pressing "defaults" in KDM config tool changes the excluded-user list
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 08:36 EDT by Mary Ellen Foster
Modified: 2009-05-31 18:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-31 18:07:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 194763 None None None Never

  None (edit)
Description Mary Ellen Foster 2009-05-13 08:36:05 EDT
Description of problem:
If I go to the Users tab in the KDM config tool and press "defaults", the list of users in the "excluded" list changes.

Before (from a freshly reinstalled kde-settings-kdm; my user account is "mef"):
[ ] @adm
[ ] @bin
[ ] @daemon
[ ] @disk
[ ] @root
[ ] @sys
[ ] @wheel
[ ] mef
[X] root

After:
[ ] @adm
[ ] @bin
[ ] @daemon
[ ] @disk
[ ] @root
[ ] @sys
[ ] @wheel
[ ] avahi
[ ] avahi-autoipd
[ ] jetty
[ ] mef
[ ] pulse
[ ] root
[ ] smolt

Version-Release number of selected component (if applicable):
I'm not sure what the relevant component is, so here are a couple:
kdebase-runtime-4.2.3-2.fc11.x86_64
kdebase-workspace-4.2.3-2.fc11.x86_64
kdm-4.2.3-2.fc11.x86_64
(i.e., the latest from kde-redhat "unstable", but I saw this with previous versions too)

How reproducible:
Every time

Steps to Reproduce:
1. Open the KDM config tool
2. Go to the "Users" tab
3. Press "Defaults"
  
Actual results:
"Excluded user" list changes

Expected results:
List should remain the default list

Additional info:
This change means that a bunch of extra users show up in KDM the next time I log in ...
Comment 1 Steven M. Parrish 2009-05-29 20:51:54 EDT
Please report this issue upstream at http://bugs.kde.org  Once you have
reported the issue upstream please add the upstream report info to this report
so we can monitor it for a resolution.

Thanks
Comment 2 Mary Ellen Foster 2009-05-31 10:07:07 EDT
Done.
Comment 3 Steven M. Parrish 2009-05-31 18:07:39 EDT
Thanks for taking the time to report this upstream.  Will close this for now
and monitor the upstream report for a fix.

Note You need to log in before you can comment on or make changes to this bug.